Bug 242105 - www/chromium: fails to build on aarch64 13-current
Summary: www/chromium: fails to build on aarch64 13-current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: freebsd-chromium (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-20 10:57 UTC by Mikael Urankar
Modified: 2020-03-06 12:00 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (chromium)


Attachments
patch (6.34 KB, patch)
2019-11-20 10:57 UTC, Mikael Urankar
no flags Details | Diff
patch (6.76 KB, patch)
2020-01-27 16:14 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Mikael Urankar freebsd_committer 2020-01-27 16:14:38 UTC
Created attachment 211107 [details]
patch

regen
Comment 2 Emmanuel Vadot freebsd_committer 2020-03-04 19:18:12 UTC
Approved-by: manu (mentor)
When maintainer approved or after maintainer timeout.
Comment 3 commit-hook freebsd_committer 2020-03-06 12:00:56 UTC
A commit references this bug:

Author: mikael
Date: Fri Mar  6 11:59:53 UTC 2020
New revision: 527876
URL: https://svnweb.freebsd.org/changeset/ports/527876

Log:
  www/chromium: fix build on head-aarch64

  The interface has changed on -current

  PR:		242105
  Approved by:	chromium (maintainer timeout), manu (mentor)

Changes:
  head/www/chromium/files/patch-third__party_boringssl_src_crypto_cpu-aarch64-linux.c
  head/www/chromium/files/patch-third__party_crc32c_src_src_crc32c__arm64__linux__check.h
  head/www/chromium/files/patch-third__party_zlib_arm__features.c